Bug 615464 (CVE-2010-2752)

Summary: CVE-2010-2752 Mozilla nsCSSValue::Array index integer overflow
Product: [Other] Security Response Reporter: Josh Bressers <bressers>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: gecko-bugs-nobody, jlieskov, security-response-team, vdanen
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20100720,reported=20100714,source=mozilla,impact=critical,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-4.8.z/firefox=affected,rhel-5.5.z/firefox=affected,rhel-6.0/firefox=affected,cwe=CWE-190[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-12 17:46:59 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Josh Bressers 2010-07-16 15:22:57 EDT
Security researcher J23 reported via TippingPoint's Zero Day Initiative
that an array class used to store CSS values contained an integer overflow
vulnerability. The 16 bit integer value used in allocating the size of the
array could overflow, resulting in too small a memory buffer being created.
When the array was later populated with CSS values data would be written
past the end of the buffer potentially resulting in the execution of
attacker-controlled memory.
Comment 1 Vincent Danen 2010-07-20 20:06:51 EDT
This is now public: http://www.mozilla.org/security/announce/2010/mfsa2010-39.html
Comment 2 errata-xmlrpc 2010-07-20 21:09:40 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0547 https://rhn.redhat.com/errata/RHSA-2010-0547.html
Comment 3 Fedora Update System 2010-07-22 22:30:42 EDT
seamonkey-2.0.6-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2010-07-22 22:36:09 EDT
xulrunner-1.9.2.7-1.fc13, firefox-3.6.7-1.fc13, mozvoikko-1.0-12.fc13, gnome-web-photo-0.9-10.fc13, perl-Gtk2-MozEmbed-0.08-6.fc13.15, gnome-python2-extras-2.25.3-20.fc13, galeon-2.0.7-30.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2010-07-22 22:40:25 EDT
thunderbird-3.0.6-1.fc12, sunbird-1.0-0.23.20090916hg.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2010-07-22 22:42:23 EDT
seamonkey-2.0.6-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-07-22 22:46:05 EDT
xulrunner-1.9.1.11-1.fc12, firefox-3.5.11-1.fc12, gnome-web-photo-0.9-8.fc12, mozvoikko-1.0-11.fc12, perl-Gtk2-MozEmbed-0.08-6.fc12.14, gnome-python2-extras-2.25.3-19.fc12, galeon-2.0.7-24.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-07-22 22:48:00 EDT
thunderbird-3.1.1-1.fc13, sunbird-1.0-0.26.b2pre.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.